Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.hsqldb
Class HSQLDBNoSchemaAdapter

    java.lang.Object
      org.apache.cayenne.dba.JdbcAdapter
          org.apache.cayenne.dba.hsqldb.HSQLDBAdapter
              org.apache.cayenne.dba.hsqldb.HSQLDBNoSchemaAdapter

All Implemented Interfaces:
  DbAdapter

    public class HSQLDBNoSchemaAdapter

extends HSQLDBAdapter

A flavor of HSQLDBAdapter that implements workarounds for some old driver limitations.

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcAdapter
`batchQueryBuilderFactory, caseInsensitiveCollations, CI_PROPERTY, ejbqlTranslatorFactory, extendedTypes, identifiersEndQuote, identifiersStartQuote, logger, resourceLocator, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

Constructor Summary
`HSQLDBNoSchemaAdapter(RuntimeProperties runtimeProperties, java.util.List<ExtendedType> defaultExtendedTypes, java.util.List<ExtendedType> userExtendedTypes, java.util.List<ExtendedTypeFactory> extendedTypeFactories)`

Method Summary
`java.lang.String` | `createTable(DbEntity ent)` Uses unqualified entity names.
`java.util.Collection<java.lang.String>` | `dropTableStatements(DbEntity table)` Returns a collection of SQL statements needed to drop a database table.
`protected java.lang.String` | `getSchemaName(DbEntity entity)` Generate unqualified name.
`protected java.lang.String` | `getTableName(DbEntity entity)` Generate unqualified name without schema.

Methods inherited from class org.apache.cayenne.dba.hsqldb.HSQLDBAdapter
`createFkConstraint, createTableAppendColumn, createUniqueConstraint, getAction, mergerFactory`

Methods inherited from class org.apache.cayenne.dba.JdbcAdapter
`bindParameter, buildAttribute, configureExtendedTypes, createEJBQLTranslatorFactory, createPkGenerator, createTableAppendPKClause, externalTypesForJdbcType, findResource, getBatchQueryBuilderFactory, getBatchTerminator, getEjbqlTranslatorFactory, getExtendedTypes, getIdentifiersEndQuote, getIdentifiersStartQuote, getJdbcEventLogger, getPkGenerator, getQualifierTranslator, getQuotingStrategy, initExtendedTypes, initIdentifiersQuotes, setBatchQueryBuilderFactory, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsGeneratedKeys, setSupportsUniqueConstraints, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDBNoSchemaAdapter

    public HSQLDBNoSchemaAdapter(RuntimeProperties runtimeProperties,
                                 java.util.List<ExtendedType> defaultExtendedTypes,
                                 java.util.List<ExtendedType> userExtendedTypes,
                                 java.util.List<ExtendedTypeFactory> extendedTypeFactories)

Method Detail

### getTableName

    protected java.lang.String getTableName(DbEntity entity)

  Generate unqualified name without schema.

  Overrides:
    `getTableName` in class `HSQLDBAdapter`
  Since:
    1.2

### getSchemaName

    protected java.lang.String getSchemaName(DbEntity entity)

  Generate unqualified name.

  Overrides:
    `getSchemaName` in class `HSQLDBAdapter`
  Since:
    1.2

### dropTableStatements

    public java.util.Collection<java.lang.String> dropTableStatements(DbEntity table)

  Description copied from interface: `DbAdapter`
  Returns a collection of SQL statements needed to drop a database table.

  Specified by:
    `dropTableStatements` in interface `DbAdapter`
  Overrides:
    `dropTableStatements` in class `JdbcAdapter`

### createTable

    public java.lang.String createTable(DbEntity ent)

  Uses unqualified entity names.

  Specified by:
    `createTable` in interface `DbAdapter`
  Overrides:
    `createTable` in class `HSQLDBAdapter`
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.